XSLDBG(1)

NAME
xsldbg - Ein Befehlszeilenprogramm für das Debuggen von XSLT-Skripten

SYNOPSIS

xsldbg [--shell] [--cd <PATH>] [--param <NAME>:<VALUE>] [--lang <LANG>] [--output <FILE>] [--version] [--verbose] [--timing] [--repeat] [--debug] [--valid] [--out] [--maxdepth val] [--html] [--docbook] [--net] [--catalogs] [--xinclude] [--profile] [--gdb] [--autoencode] [--utf8input] [--preferhtml] [--stdout] [--autorestart] [+XSLSource] [+XMLData]

BESCHREIBUNG

xsldbg ist ein Werkzeug zur Untersuchung von Stilvorlagen. Im Unterschied zu anderen Programmen für Stilvorlagen ist die Suche nach bestimmten Elementen möglich und die Ausführung der Stilvorlage kann verfolgt werden.

xsldbg ist ein Programm zur Fehlersuche (debuggen) in XSL-Stilvorlagen (XSL = eXtensible Stylesheet Language). xsldbg hat ähnliche Befehle wie der Unix/Linux Debugger gdb. Es gibt drei Möglichkeiten, eine Stilvorlage auszuführen:

•   Ausführung der gesamten Stilvorlage

•   Schrittweise zum nächsten XSL-Befehl

•   Ausführung bis zum nächsten Haltepunkt oder bis zum Neustart der Stilvorlage

OPTIONEN
Anwendungsoptionen

Hinweis: Um eine Option abzuschalten, setzen Sie ein &#8222;no&#8220; vor den Namen der Option, z. B. &#8222;nonet&#8220;

Hinweis: Alle mit &#8222;*&#8220; markierten Optionen sind als Voreinstellung eingeschaltet

--shell
    Startet eine Shell. Geben Sie dann den xsldbg-Befehl &#8222;help&#8220; ein, um eine Übersicht der Hilfe zu erhalten.

--cd <PATH>
    Pfad zum Ordner, in den vor dem Laden von Dateien gewechselt werden soll. Sihe auch die Dokumentation zum Befehl &#8222;cd&#8220;

--param <NAME>:<VALUE>
    Fügt den Parameter mit dem Namen <NAME> und dem Wert <VALUE> zu den XSL-Umgebungsvariablen hinzu. Siehe auch die Dokumentation zum Befehl &#8222;addparam&#8220; Hinweis: Auch das Zeichen &#8222;=&#8220; kann anstelle des &#8222;:&#8220; als Trennung zwischen Name und Wert benutzt werden

--lang <LANG>
    Verwendet den angegebenen ISO-639-Sprachcode, zum Beispiel de_DE

--output <FILE>
    Speichert in eine angegebene Datei. Siehe die Dokumentation zu Ausgabebefehlen

--version
    Zeigt die Version von libxml und libxslt an

--verbose
    Zeigt Protokolle über den Ablauf an

--timing
    Zeigt die verstrichene Zeit an

--repeat
    Führt die Umwandlung 20 mal aus, wenn --repeat zweifach aangegeben ist, wird die Umwandlung 100 mal ausgeführt

--debug
    Ausgabe des Ergebnisbaums, wenn die Unterstützung dafür in libxml aktiviert worden ist

--valid*
    Führt den DTD-Ladevorgang aus, das ist als Voreinstellung eingeschaltet

--out*
    Aktiviert die Ausgabe des Ergebnisses, das ist als Voreinstellung eingeschaltet

--maxdepth val
    Vergrößert die maximale Tiefe

--html
    Die Eingabedokumente werden als HTML-Dateien behandelt, wenn die Unterstützung dafür in libxml aktiviert worden ist

--docbook
    Das Eingabedokument wird als SGML-Docbook behandelt, wenn die Unterstützung dafür in libxml aktiviert worden ist

--net*
    Ermöglicht das Laden von DTDs oder Entitäten über das Netzwerk, das ist als Voreinstellung eingeschaltet

--catalogs
    Verwendet die Kataloge in $SGML_CATALOG_FILES, wenn die Unterstützung dafür in libxml aktiviert worden ist

--xinclude*
    Aktiviert die XInclude-Verarbeitung des Eingabedokuments, wenn die Unterstützung dafür in libxml aktiviert worden ist. Das ist als Voreinstellung eingeschaltet

--profile
    Profiling-Informationen drucken

--gdb*
    Ausführung im GDB-Kompalibitätsmodus mit ausführlichen Informationen, das ist als Voreinstellung eingeschaltet

--autoencode*
    Sucht nach einer Kodierung in der Stilvorlage und benutzt diese Kodierung

--utf8input
    Behandelt die Befehlszeileneingabe als UTF-8 kodiert

--preferhtml
    Verwendet HTML-Ausgabe beim Erstellen der Suchergebnisse

--stdout
    Druckt alle Fehlermeldungen nach stdout, normalerweise gehen Fehlermeldungen nach stderr

--autorestart
    Schaltet den automatischen Neustart der Ausführung ein, wenn der gegenwärtige Durchlauf beendet ist

+XSLSource
    XSL-Skript zum Ausführen (optional)

+XMLData
    XML-Dateen zur Umwandlung (optional wenn die XSL-Quelle angegeben wurde)

AUTOR

xsldbg wurde von Keith Isdale<keith@kdewebdev.org> geschrieben. Er ist auch der derzeitige Betreuer.

AUTHOR
Keith Isdale.